@echo off & setlocal enableextensions

rem A CMD shell for FILEINFO.VBS
rem By Prof. Timo Salmi
rem Last modified Mon 2-May-2005

rem   Gets information about a file's properties. For example
rem    C:\_D\BAS\CMDFAQ.CMD
rem    Size:          215
rem    Attributes:    A
rem    Created:       03.12.2004 20:59:50    150 days ago
rem    Last modified: 01.05.2005 08:08:06      1 days ago
rem    Last accessed: 01.05.2005 11:16:18      1 days ago

:: Test for the presence of the VBS script at path for current folder
set vbs_=FILEINFO.VBS
for %%f in ("%vbs_%") do set prog_=%%~$PATH:f
if exist %vbs_% set prog_=%vbs_%
if [%prog_%]==[] (
  echo.
  echo %vbs_% not found in the current folder or at path
  echo Exiting %~f0
  if not defined cmdbox if defined PauseIfFromDesktop pause
  goto :EOF)

:: Usage
if [%1]==[] (
  echo.
  echo Usage: %~f0 FileName
  if not defined cmdbox if defined PauseIfFromDesktop pause
  goto :EOF)

:: Don't allow wildcards
echo "%1"|findstr "[*?]">nul
if %errorlevel% EQU 0 (
  echo Wildcards are not allowed in the filename %1
  goto :EOF)

:: Test for LFN peculiarities
if not [%2]==[] (
  echo A file name with spaces in it should be enclosed in parentheses ""
  goto :EOF)

:: Call the actual VBS script
cscript //nologo %prog_% %1

endlocal & goto :EOF
